import com.GameInterface.Tooltip.TooltipUtils;

/**
 * ...
 * @author Xxx
 */
class InfoLine extends MovieClip
{
	private var txt : TextField;
	private var caption : TextField;
	
	public function InfoLine()
	{
		this.useHandCursor = false;
	}
	
	public function set value(val: Object):Void
	{
		txt.text = string(val);
	}
	
	public function set label(str:String):Void
	{
		caption.text = str;

		resetTooltip();
	}
	
	public function get fontSize():Number
	{
		var format: TextFormat = txt.getTextFormat();
		return format.size;
	}

	public function set fontSize(size:Number):Void
	{
		var format: TextFormat = txt.getTextFormat();
		format.size = size;
		txt.setNewTextFormat(format);
		
		var captionFormat: TextFormat = caption.getTextFormat();
		captionFormat.size = size;
		caption.setNewTextFormat(captionFormat);
	}
	
	public function resetTooltip():Void 
	{
		delete this.onRollOver;
		this.onRollOut = undefined;
		this.onPress = undefined;
		
		delete this.onRollOut;
		this.onRollOut = this.onDragOut = this.onMouseDown = undefined;
	}
	
	public function get text():String 
	{
		return txt.text;
	}
	
	public function set tooltip(str:String):Void
	{
		TooltipUtils.AddTextTooltip(this, str, 200);
	}
}