'''
Created on 26.08.2012

@author: main
'''
import os
import shutil
import sys
import zipfile
from zipfile import ZipFile


proj_name = "DamagePane"

target_dir = "deploy"

files = [
    proj_name + ".swf",
    "CharPrefs.xml",
    "Modules.xml",
]

def deploy():
    output_folder = os.path.join(target_dir, proj_name)
    
    print "Create target dir..."
    if not os.path.exists(output_folder):
        os.makedirs(output_folder)
    
    print "Copy files..."
    for f in files:
        shutil.copy(f, output_folder)
    
    print "Zip files..."
    shutil.make_archive(proj_name, "zip", target_dir, proj_name)
    
    print "Remove temporal files..."
    shutil.rmtree(target_dir)
    
    print "Done"


def install(path):
    result_path = os.path.join(path, "Data/Gui/Customized/Flash/")    
    with ZipFile(proj_name + ".zip", 'r') as myzip:
        myzip.extractall(result_path)



if __name__ == '__main__':
    deploy()
    if len(sys.argv) > 2:
        command = sys.argv[1]
        if command == "install":
            install(sys.argv[2])
        
        
